function [ flatteneddata, subtractedline ] = plateaufix(datafilename)
data=importdata(datafilename);
for samplenumber=1:size(data,2)/4
    samplenumber
    otdata=data(:,(samplenumber*4-3));
    oFdata1=data(:,(samplenumber*4-2));
    otdata2=data(:,(samplenumber*4-1));
    oFdata2=data(:,(samplenumber*4));

    smoothdata1=smooth(oFdata1, 1000);
    smoothdata1=smoothdata1(otdata>9e4)
    diffsmoothdata1=diff(smoothdata1);
    diff2smoothdata1=diff(smoothdata1,2);
    %define the plateau as where the second derivitive is zero
    plateaugradient1=median(diffsmoothdata1(abs(diff2smoothdata1)<0.5e-5));
    
    smoothdata2=smooth(oFdata2, 1000);
    smoothdata2=smoothdata2(otdata2>9e4)
    diffsmoothdata2=diff(smoothdata2);
    diff2smoothdata2=diff(smoothdata2,2);
    %define the plateau as where the second derivitive is zero
    plateaugradient2=median(diffsmoothdata2(abs(diff2smoothdata2)<0.5e-5));

    
    % flattening with line of determined gradient
    Fdata1=oFdata1-otdata*plateaugradient1/60;
    Fdata2=oFdata2-otdata2*plateaugradient2/60;
    figure
    plot(otdata, Fdata1)
    hold on
    plot(otdata, oFdata1)
    plot(otdata2, Fdata2)
    plot(otdata2, oFdata2)
    
    plot(otdata, oFdata1+oFdata2)
    plot(otdata, Fdata1+Fdata2)
    
    data(:,(samplenumber*4-2))=Fdata1;
    data(:,(samplenumber*4))=Fdata2;
   
end
flatteneddata=data;
